Bug 232833 - [GPU Process] [Filters 9/23] Move the software FilterEffectAppliers to separate files
Summary: [GPU Process] [Filters 9/23] Move the software FilterEffectAppliers to separa...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Layout and Rendering (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Said Abou-Hallawa
URL:
Keywords: InRadar
Depends on:
Blocks: 231253
  Show dependency treegraph
 
Reported: 2021-11-08 12:27 PST by Said Abou-Hallawa
Modified: 2021-11-29 21:36 PST (History)
17 users (show)

See Also:


Attachments
Patch (380.82 KB, patch)
2021-11-24 00:00 PST, Said Abou-Hallawa
ews-feeder: commit-queue-
Details | Formatted Diff | Diff
Patch (381.49 KB, patch)
2021-11-24 01:14 PST, Said Abou-Hallawa
ews-feeder: commit-queue-
Details | Formatted Diff | Diff
Patch (381.51 KB, patch)
2021-11-24 01:54 PST, Said Abou-Hallawa
ews-feeder: commit-queue-
Details | Formatted Diff | Diff
Patch (381.51 KB, patch)
2021-11-24 02:51 PST, Said Abou-Hallawa
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Said Abou-Hallawa 2021-11-08 12:27:25 PST
This allows different implementation for applying the FilterEffects and make them in separate implementation source files.
Comment 1 Radar WebKit Bug Importer 2021-11-15 12:28:27 PST
<rdar://problem/85424225>
Comment 2 Said Abou-Hallawa 2021-11-24 00:00:37 PST
Created attachment 445075 [details]
Patch
Comment 3 Said Abou-Hallawa 2021-11-24 01:14:39 PST
Created attachment 445080 [details]
Patch
Comment 4 Said Abou-Hallawa 2021-11-24 01:54:20 PST
Created attachment 445082 [details]
Patch
Comment 5 Said Abou-Hallawa 2021-11-24 02:51:05 PST
Created attachment 445084 [details]
Patch
Comment 6 EWS 2021-11-24 11:41:35 PST
Committed r286152 (244536@main): <https://commits.webkit.org/244536@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 445084 [details].